## pyotherside 1.5.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyOtherSide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyOtherSide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyOtherSide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyOtherSide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyotherside 1.2.0

=== debian/changelog ===
pyotherside (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #746294)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 30 Apr 2014 15:58:00 -0400

=== debian/control ===
Source: pyotherside
Section: libs
Priority: optional
Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               python3,
               python3-dev,
               python3-sphinx,
               qt5-default,
               qt5-qmake,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyotherside/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyotherside/trunk/
Homepage: http://thp.io/2011/pyotherside/

Package: pyotherside
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: Asynchronous Python 3 Bindings for Qt 5 (QML plugin)
 A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 While legacy versions of PyOtherSide worked with Qt 4.x and Python 2.x, its
 focus now lies on Python 3.x and Qt 5. Python 3 has been out for several
 years, and offers some nice language features and clean-ups, while Qt 5
 supports most mobile platforms well, and has an improved QML engine and a
 faster renderer (Qt Scene Graph) compared to Qt 4.
 .
 This package provides the QML plugin.

Package: pyotherside-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Asynchronous Python 3 Bindings for Qt 5 (documentation)
 A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 While legacy versions of PyOtherSide worked with Qt 4.x and Python 2.x, its
 focus now lies on Python 3.x and Qt 5. Python 3 has been out for several
 years, and offers some nice language features and clean-ups, while Qt 5
 supports most mobile platforms well, and has an improved QML engine and a
 faster renderer (Qt Scene Graph) compared to Qt 4.
 .
 This package provides the HTML documentation as well as the set of examples.

Package: pyotherside-tests
Section: misc
Multi-Arch: foreign
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: pyotherside (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Asynchronous Python 3 Bindings for Qt 5 (tests)
 A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 While legacy versions of PyOtherSide worked with Qt 4.x and Python 2.x, its
 focus now lies on Python 3.x and Qt 5. Python 3 has been out for several
 years, and offers some nice language features and clean-ups, while Qt 5
 supports most mobile platforms well, and has an improved QML engine and a
 faster renderer (Qt Scene Graph) compared to Qt 4.
 .
 This package contains the test suite that can be started post-installation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=sphinxdoc

override_dh_auto_build:
	dh_auto_build
	/usr/share/sphinx/scripts/python3/sphinx-build -b html docs build/sphinx/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	xvfb-run ./tests/tests

## pyotherside 1.4.0

=== debian/changelog ===
pyotherside (1.4.0-2build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:53:39 +0000

pyotherside (1.4.0-2) experimental; urgency=medium

  [ Zygmunt Krynicki ]
  * Rename the binary package to qml-module-io-thp-pyotherside, closes: #780708
  * Drop the (now obsolete) XS-Testsuite: autopkgtest header
  * Add Sylvain as an uploader

  [ Sylvain Pineau ]
  * debian/control: Multi-Arch: foreign for pyotherside-tests was wrong
    It was shipping an ELF file in /usr/lib/pyotherside/tests/tests
    pyotherside-tests is now Multi-Arch: same and the files are installed in
    /usr/lib/${DEB_HOST_MULTIARCH}
  * debian/control: Remove bd on python3 as we already build-depend on
    python3-dev
  * Fix autopkgtest to use the path containing DEB_HOST_MULTIARCH

  [ Dmitry Shachnev ]
  * Use dh-exec instead of an .install.in file to subst DEB_HOST_MULTIARCH

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Thu, 21 Jan 2016 21:35:07 +0100

pyotherside (1.4.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/control: Remove build dependency on qt5-default
  * debian/control: Updated Standards-Version to 3.9.6
  * debian/control: Adding myself as Uploader
  * debian/rules: Fixed some lintian errors

  [ Zygmunt Krynicki ]
  * debian/control: remove DPMT from uploaders (requested by Piotr Ożarowski)
  * debian/control: start short description with lower-case letter 

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 19 Feb 2015 18:38:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,39 @@
 Section: libs
 Priority: optional
 Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>,
+           Sylvain Pineau <sylvain.pineau@canonical.com>
 Build-Depends: debhelper (>= 9),
-               python3,
+               dh-exec,
                python3-dev,
                python3-sphinx,
-               qt5-default,
                qt5-qmake,
                qtbase5-dev,
                qtdeclarative5-dev,
                xauth,
                xvfb
-Standards-Version: 3.9.5
-X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyotherside/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyotherside/trunk/
+Standards-Version: 3.9.6
+X-Python3-Version: >= 3.3
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyotherside.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyotherside.git
 Homepage: http://thp.io/2011/pyotherside/
 
 Package: pyotherside
+Depends: qml-module-io-thp-pyotherside, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+Architecture: all
+Priority: extra
+Section: oldlibs
+
+Package: qml-module-io-thp-pyotherside
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: pyotherside (<< 1.4.0-2~)
+Replaces: pyotherside (<< 1.4.0-2~)
 Depends: python3, ${misc:Depends}, ${shlibs:Depends}
-Description: Asynchronous Python 3 Bindings for Qt 5 (QML plugin)
+Description: asynchronous Python 3 Bindings for Qt 5 (QML plugin)
  A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
  .
  PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
@@ -54,7 +63,7 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: Asynchronous Python 3 Bindings for Qt 5 (documentation)
+Description: asynchronous Python 3 Bindings for Qt 5 (documentation)
  A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
  .
  PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
@@ -79,10 +88,10 @@
 
 Package: pyotherside-tests
 Section: misc
-Multi-Arch: foreign
+Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: pyotherside (= ${binary:Version}),
+Depends: qml-module-io-thp-pyotherside (= ${binary:Version}),
          python3,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export QT_SELECT=qt5
 
 %:
 	dh $@ --with=sphinxdoc
@@ -12,4 +15,4 @@
 	rm -rf build
 
 override_dh_auto_test:
-	xvfb-run ./tests/tests
+	xvfb-run -a ./tests/tests

## pyotherside 1.5.3

=== debian/changelog ===
pyotherside (1.5.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:10:28 +0800

pyotherside (1.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Felix Zielcke ]
  * Upload to unstable
  * New Maintainer. (Closes: #912720)
  * New upstream version 1.5.3.
    - Fixes compatibility with newer QT versions. (Closes: #880093)
  * Update watchfile. Patch by Jonah Brüchert.
  * d/control: Use https protocol in Homepage field.
  * d/control: Update to policy 4.2.1.
  * d/control: Add libqt5svg5-dev to the build dependencies.
  * Update to debhelper compat level 11 and use new debhelper-compat
    build dependency.
  * Move installed documentation to
    /usr/share/doc/qml-module-io-thp-pyotherside to follow
    recommendation of Policy §12.3.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 25 Nov 2018 08:27:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pyotherside
 Section: libs
 Priority: optional
-Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
-Uploaders: Marco Trevisan (Treviño) <marco@ubuntu.com>,
-           Sylvain Pineau <sylvain.pineau@canonical.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Felix Zielcke <fzielcke@z-51.de> 
+Build-Depends: debhelper-compat (= 11),
                dh-exec,
                python3-dev,
                python3-sphinx,
@@ -12,19 +11,18 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                xauth,
-               xvfb
-Standards-Version: 3.9.6
-X-Python3-Version: >= 3.3
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyotherside.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyotherside.git
-Homepage: http://thp.io/2011/pyotherside/
+               xvfb,
+               libqt5svg5-dev
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyotherside.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyotherside
+Homepage: https://thp.io/2011/pyotherside/
 
 Package: pyotherside
 Depends: qml-module-io-thp-pyotherside, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 Architecture: all
-Priority: extra
 Section: oldlibs
 
 Package: qml-module-io-thp-pyotherside

## pyotherside 1.5.8

=== debian/changelog ===
pyotherside (1.5.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces.

  [ Felix Zielcke ]
  * New upstream version.
  * Update to policy 4.4.0.
  * Update to debhelper compat level 12.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 08 Jul 2019 19:18:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Felix Zielcke <fzielcke@z-51.de> 
-Build-Depends: debhelper-compat (= 11),
+Uploaders: Felix Zielcke <fzielcke@z-51.de>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                python3-dev,
                python3-sphinx,
@@ -13,7 +13,7 @@
                xauth,
                xvfb,
                libqt5svg5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyotherside.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyotherside
 Homepage: https://thp.io/2011/pyotherside/

## pyotherside 1.5.9

=== debian/changelog ===
pyotherside (1.5.9-2) unstable; urgency=medium

  [ Felix Zielcke ]
  * Use debhelper compat level 13.
  * Remove usage of dh-exec. Not needed anymore.
  * Bump Standards-Version to 4.5.0.
  * Install qtquicktests and associated files inside pyotherside-tests.
  * Update Maintainer field with new Python Team address.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 28 Sep 2020 08:34:21 +0200

pyotherside (1.5.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Felix Zielcke ]
  * New upstream version.
  * Set Rules-Requires-Root: no

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 15 Feb 2020 20:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pyotherside
 Section: libs
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Felix Zielcke <fzielcke@z-51.de>
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Build-Depends: debhelper-compat (= 13),
                python3-dev,
                python3-sphinx,
                qt5-qmake,
@@ -13,9 +12,10 @@
                xauth,
                xvfb,
                libqt5svg5-dev
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/pyotherside.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pyotherside
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyotherside.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyotherside
 Homepage: https://thp.io/2011/pyotherside/
 
 Package: pyotherside

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyotherside-$1\.tar\.gz/ \
  https://github.com/thp/pyotherside/tags .*/v?(\d\S+)\.tar\.gz

## pyotherside 1.6.0

=== debian/changelog ===
pyotherside (1.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:30:51 +0100

pyotherside (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Build depend on libqt5opengl5-dev.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 11 Sep 2022 17:25:21 +0200

pyotherside (1.5.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + qml-module-io-thp-pyotherside: Drop versioned constraint on pyotherside in
      Replaces.
    + qml-module-io-thp-pyotherside: Drop versioned constraint on pyotherside in
      Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:42:23 +0100

pyotherside (1.5.9-3) unstable; urgency=medium

  * debian/control: Fix installbility of python3 on cross arch installs.
    Thanks to Marius Gripsgard for MR!3
  * Bump Standards-Version to 4.6.1.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 24 May 2022 17:38:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                qtdeclarative5-dev,
                xauth,
                xvfb,
-               libqt5svg5-dev
-Standards-Version: 4.5.0
+               libqt5svg5-dev,
+               libqt5opengl5-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyotherside.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyotherside
@@ -29,9 +30,7 @@
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: pyotherside (<< 1.4.0-2~)
-Replaces: pyotherside (<< 1.4.0-2~)
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}
+Depends: python3:any, ${misc:Depends}, ${shlibs:Depends}
 Description: asynchronous Python 3 Bindings for Qt 5 (QML plugin)
  A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
  .
@@ -90,7 +89,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: qml-module-io-thp-pyotherside (= ${binary:Version}),
-         python3,
+         python3:any,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Asynchronous Python 3 Bindings for Qt 5 (tests)

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@

## pyotherside 1.6.1

=== debian/changelog ===
pyotherside (1.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Compatible with QT >= 6.5. (Closes: #1072320) 
  * Build-depend on python3-sphinx-rtd-theme.
  * Update d/copyright.

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 01 Jun 2024 07:33:29 +0200

pyotherside (1.6.0-4) unstable; urgency=medium

  * Source-only upload.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 09 Jul 2023 19:56:54 +0200

pyotherside (1.6.0-3) unstable; urgency=medium

  [ Felix Zielcke ]
  * Drop pyotherside transitional package. (Closes: #1032778)
  * Add qml6-module-io-thp-pyotherside package, built with QT6.
    Patch by Sébastien Noel. (Closes: #1032282)
  * Update tests package to use both QT5 and QT6.
  * Bump policy to 4.6.2.
  * Update d/copyright and add missing copyright holders.
  [ Jeroen Ploemen ]
  * Tests: trim excess test dependencies.
  * Tests: add qmltestrunner to autopkgtest.
  * Control: add dependency on qml6-module-io-thp-pyotherside to the
    tests pkg.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 27 Jun 2023 17:11:39 +0000

=== debian/control ===
Source: pyotherside
Section: libs
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felix Zielcke <fzielcke@z-51.de>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt6opengl6-dev,
               libqt6svg6-dev,
               python3-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               qmake6,
               qt5-qmake,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pyotherside.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyotherside
Homepage: https://thp.io/2011/pyotherside/

Package: qml-module-io-thp-pyotherside
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: python3:any, ${misc:Depends}, ${shlibs:Depends}
Description: asynchronous Python 3 Bindings for Qt 5 (QML plugin)
 A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt 5 QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 This package provides the QML 5 plugin.

Package: qml6-module-io-thp-pyotherside
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: python3:any, ${misc:Depends}, ${shlibs:Depends}
Description: asynchronous Python 3 Bindings for Qt 6 (QML plugin)
 A Qt 6 QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 This package provides the QML 6 plugin.

Package: pyotherside-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: asynchronous Python 3 Bindings for Qt (documentation)
 A Qt QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 This package provides the HTML documentation as well as the set of examples.

Package: pyotherside-tests
Section: misc
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: python3:any,
         qml-module-io-thp-pyotherside (= ${binary:Version}),
         qml6-module-io-thp-pyotherside (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Asynchronous Python 3 Bindings for Qt (QT5 tests)
 A Qt QML Plugin that provides access to a Python 3 interpreter from QML.
 .
 PyOtherSide is a Qt QML Plugin that provides access to a Python 3
 interpreter from QML. It was designed with mobile devices in mind, where
 high-framerate touch interfaces are common, and where the user usually
 interfaces only with one application at a time via a touchscreen. As such, it
 is important to never block the UI thread, so that the user can always
 continue to use the interface, even when the backend is processing,
 downloading or calculating something in the background.
 .
 At its core, PyOtherSide is basically a simple layer that converts Qt (QML)
 objects to Python objects and vice versa, with focus on asynchronous events
 and continuation-passing style function calls.
 .
 This package contains the test suite that can be started post-installation.

## pyotherside 1.6.2

=== debian/changelog ===
pyotherside (1.6.2-1) unstable; urgency=medium

  * New upstream version. 
  * Bump Standards-Version to 4.7.2. No changes needed.
  * d/patches/use_python3.patch: New patch to use python3 in shebang.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 02 Mar 2025 13:20:39 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                qtdeclarative5-dev,
                xauth,
                xvfb
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyotherside.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyotherside

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=sphinxdoc

override_dh_auto_configure:
	QT_SELECT=qt5 dh_auto_configure --builddir=build5 -- ..
	mkdir -p build6 && cd build6 && qmake6 "QMAKE_CFLAGS_RELEASE=${CFLAGS} ${CPPFLAGS}" "QMAKE_CFLAGS_DEBUG=${CFLAGS} ${CPPFLAGS}" "QMAKE_CXXFLAGS_RELEASE=${CXXFLAGS} ${CPPFLAGS}" "QMAKE_CXXFLAGS_DEBUG=${CXXFLAGS} ${CPPFLAGS}" "QMAKE_LFLAGS_RELEASE=${LDFLAGS}" "QMAKE_LFLAGS_DEBUG=${LDFLAGS}" QMAKE_STRIP=: PREFIX=/usr .. && cd ..

override_dh_auto_build:
	dh_auto_build --builddir=build6
	dh_auto_build --builddir=build5
	/usr/share/sphinx/scripts/python3/sphinx-build -b html docs build/sphinx/html

override_dh_auto_install:
	dh_auto_install --builddir=build6
	dh_auto_install --builddir=build5

override_dh_auto_clean:
	dh_auto_clean --builddir=build6
	dh_auto_clean --builddir=build5
	rm -rf build build5 build6

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a ./build5/tests/tests
	xvfb-run -a ./build6/tests/tests
endif

override_dh_installdocs:
	dh_installdocs -ppyotherside-doc --doc-main-package=qml-module-io-thp-pyotherside
	dh_installdocs --remaining-packages

execute_after_dh_install-arch:
	install --mode=644 $(CURDIR)/qtquicktests/*.qml $(CURDIR)/qtquicktests/*py debian/pyotherside-tests/usr/lib/$(DEB_HOST_MULTIARCH)/pyotherside/tests

=== debian/tests/control ===
Tests: unit-tests
Depends:
 pyotherside-tests,
 qml-module-qttest,
 qml6-module-qtquick-window,
 qml6-module-qtqml-workerscript,
 qml6-module-qttest,
 qt6-declarative-dev-tools,
 qtdeclarative5-dev-tools,
 xauth,
 xvfb
Restrictions: allow-stderr
